Intermittent devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | A promise chain failed to handle a rejection: - destroy

RESOLVED FIXED in Firefox -esr52

Status

DevTools
WebIDE
P3
normal
RESOLVED FIXED
4 years ago
9 days ago

People

(Reporter: Tomcat, Assigned: jmaher)

Tracking

({intermittent-failure})

unspecified
Firefox 55
x86
Linux
intermittent-failure
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(firefox52 wontfix, firefox-esr52 fixed, firefox53 fixed, firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed], URL)

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
Ubuntu VM 12.04 b2g-inbound debug test mochitest-devtools-chrome-2

https://treeherder.mozilla.org/ui/logviewer.html#?job_id=642515&repo=b2g-inbound

22:28:50 INFO - 8072 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/projecteditor/test/browser_projecteditor_contextmenu_01.js | A promise chain failed to handle a rejection: - destroy
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 3

3 years ago
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 5

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 6

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* autoland: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 7
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 7

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 4
* mozilla-inbound: 3
* autoland: 3
* fx-team: 1

Platform breakdown:
* linux64: 9
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-08-01&endday=2016-08-07&tree=all

Comment 8

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 5
* mozilla-inbound: 2
* mozilla-aurora: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-08-08&endday=2016-08-14&tree=all

Comment 9

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* autoland: 2
* mozilla-inbound: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux64: 6
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 10

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 11

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 7
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-09-05&endday=2016-09-11&tree=all

Comment 12

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* mozilla-aurora: 2
* autoland: 1

Platform breakdown:
* linux64: 6
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 13

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 14

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-09-26&endday=2016-10-02&tree=all

Comment 15

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-10-03&endday=2016-10-09&tree=all

Comment 16

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* fx-team: 1

Platform breakdown:
* linux64: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-10-17&endday=2016-10-23&tree=all

Comment 17

2 years ago
9 failures in 715 pushes (0.013 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* autoland: 3
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 8
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-11-14&endday=2016-11-20&tree=all

Comment 18

2 years ago
11 failures in 623 pushes (0.018 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 4
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 9
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-11-21&endday=2016-11-27&tree=all

Comment 19

2 years ago
15 failures in 694 pushes (0.022 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* linux32: 13
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-11-28&endday=2016-12-04&tree=all

Comment 20

2 years ago
15 failures in 526 pushes (0.029 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 6
* mozilla-inbound: 4
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* linux32: 10
* linux64: 3
* windows8-64: 1
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-12-12&endday=2016-12-18&tree=all

Comment 21

2 years ago
9 failures in 609 pushes (0.015 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 5
* mozilla-central: 2
* mozilla-inbound: 1
* graphics: 1

Platform breakdown:
* linux32: 6
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-12-19&endday=2016-12-25&tree=all

Comment 22

2 years ago
14 failures in 305 pushes (0.046 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 7
* mozilla-inbound: 4
* mozilla-central: 3

Platform breakdown:
* linux32: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2016-12-26&endday=2017-01-01&tree=all

Comment 23

2 years ago
13 failures in 563 pushes (0.023 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 5
* mozilla-inbound: 4
* mozilla-central: 2
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* linux32: 10
* linux64: 2
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-01-02&endday=2017-01-08&tree=all
7 failures in 722 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* try: 1
* autoland: 1

Platform breakdown:
* linux32: 5
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-01-09&endday=2017-01-15&tree=all
5 failures in 812 pushes (0.006 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* autoland: 3
* mozilla-inbound: 1
* graphics: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-02-20&endday=2017-02-26&tree=all
7 failures in 777 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* mozilla-inbound: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-13&endday=2017-03-19&tree=all
(Assignee)

Comment 27

a year ago
this picked up recently around March 7th, keeping an eye on this bug.
(Assignee)

Comment 28

a year ago
now I have 36 failures in the last week all on linux64-asan e10s:
https://brasstacks.mozilla.com/orangefactor/index.html?display=Bug&bugid=1083140&startday=2017-03-17&endday=2017-03-24&tree=trunk

a recent failure log:
https://brasstacks.mozilla.com/orangefactor/index.html?display=Bug&bugid=1083140&startday=2017-03-17&endday=2017-03-24&tree=trunk

and screenshot:
https://public-artifacts.taskcluster.net/XwxcvWkDQ_ufrVGNfwUmAA/0/public/test_info//mozilla-test-fail-screenshot_ZYa4pN.png

the screenshot yields nothing but a blank screen, here is a clip from the log file:
[task 2017-03-24T09:55:10.454883Z] 09:55:10     INFO - TEST-START | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js
[task 2017-03-24T09:55:10.535460Z] 09:55:10     INFO - TEST-INFO | started process screentopng
[task 2017-03-24T09:55:12.610773Z] 09:55:12     INFO - TEST-INFO | screentopng: exit 0
[task 2017-03-24T09:55:12.614818Z] 09:55:12     INFO - TEST-UNEXPECTED-FAIL | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | A promise chain failed to handle a rejection:  - destroy
[task 2017-03-24T09:55:12.615101Z] 09:55:12     INFO - Stack trace:
[task 2017-03-24T09:55:12.616423Z] 09:55:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 199
[task 2017-03-24T09:55:12.617688Z] 09:55:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 711
[task 2017-03-24T09:55:12.618813Z] 09:55:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: process :: line 958
[task 2017-03-24T09:55:12.620016Z] 09:55:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: walkerLoop :: line 806
[task 2017-03-24T09:55:12.622422Z] 09:55:12     INFO - Entering test bound 
[task 2017-03-24T09:55:12.624682Z] 09:55:12     INFO - Building a temporary directory at ProjectEditor1490349310511
[task 2017-03-24T09:55:12.629487Z] 09:55:12     INFO - Adding a project editor tab for editing at: /tmp/ProjectEditor1490349310511
[task 2017-03-24T09:55:12.635117Z] 09:55:12     INFO - Adding a new tab with URL: 'chrome://mochitests/content/browser/devtools/client/projecteditor/test/projecteditor-test.xul'
[task 2017-03-24T09:55:12.637281Z] 09:55:12     INFO - URL 'chrome://mochitests/content/browser/devtools/client/projecteditor/test/projecteditor-test.xul' loading complete
[task 2017-03-24T09:55:12.639709Z] 09:55:12     INFO - must wait for focus
[task 2017-03-24T09:55:12.642349Z] 09:55:12     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | Tab has placeholder iframe for projecteditor - 
[task 2017-03-24T09:55:12.644531Z] 09:55:12     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | ProjectEditor has been initialized - 
[task 2017-03-24T09:55:12.974302Z] 09:55:12     INFO - Console message: [JavaScript Warning: "Property contained reference to invalid variable.  Error in parsing value for ‘background-color’.  Falling back to ‘initial’." {file: "resource://devtools/client/themes/splitters.css" line: 39 column: 1268 source: " var(--devtools-splitter-color)"}]
[task 2017-03-24T09:55:14.752975Z] 09:55:14     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | ProjectEditor has loaded - 
[task 2017-03-24T09:55:14.760784Z] 09:55:14     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has loaded in the projecteditor document - 
[task 2017-03-24T09:55:14.765409Z] 09:55:14     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has loaded in the projecteditor document - 
[task 2017-03-24T09:55:14.770275Z] 09:55:14     INFO - Building a temporary directory at ProjectEditor1490349310511
[task 2017-03-24T09:55:14.794403Z] 09:55:14     INFO - Adding a project editor tab for editing at: /tmp/ProjectEditor1490349310511
[task 2017-03-24T09:55:14.798333Z] 09:55:14     INFO - Adding a new tab with URL: 'chrome://mochitests/content/browser/devtools/client/projecteditor/test/projecteditor-test.xul'
[task 2017-03-24T09:55:15.688476Z] 09:55:15     INFO - URL 'chrome://mochitests/content/browser/devtools/client/projecteditor/test/projecteditor-test.xul' loading complete
[task 2017-03-24T09:55:15.697870Z] 09:55:15     INFO - must wait for focus
[task 2017-03-24T09:55:15.754895Z] 09:55:15     INFO - TEST-PASS | devtools/client/proj
[task 2017-03-24T09:55:15.763131Z] 09:55:15     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | ProjectEditor has been initialized - 
[task 2017-03-24T09:55:16.046773Z] 09:55:16     INFO - Console message: [JavaScript War
[task 2017-03-24T09:55:17.406880Z] 09:55:17     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has NOT loaded in the projecteditor document - 
[task 2017-03-24T09:55:17.415440Z] 09:55:17     INFO - TEST-PASS | devtools/client/proj
ecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has NOT loaded in the projecteditor document - 
[task 2017-03-24T09:55:17.417085Z] 09:55:17     INFO - TEST-PASS | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has loaded in the specified element - 
ecteditor/test/browser_projecteditor_contextmenu_01.js | The menu has loaded in the specified element - 
[task 2017-03-24T09:55:17.441343Z] 09:55:17     INFO - Leaving test bound 
[task 2017-03-24T09:55:18.090759Z] 09:55:18     INFO - GECKO(1640) | MEMORY STAT | vsize 20973802MB | residentFast 592MB
[task 2017-03-24T09:55:18.092614Z] 09:55:18     INFO - TEST-OK | devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | took 7634ms


looking at the test, I don't see an obvious point where we are failing, the messages show us running the test properly, maybe there is an issue with the yield statement or something in the harness?

:jryans, when you are back next week, could you find a little bit of time to look at this?
Flags: needinfo?(jryans)
Summary: Intermittent projecteditor/test/browser_projecteditor_contextmenu_01.js | A promise chain failed to handle a rejection: - destroy → Intermittent devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js | A promise chain failed to handle a rejection: - destroy
Whiteboard: [stockwell needswork]
45 failures in 898 pushes (0.05 failures/push) were associated with this bug in the last 7 days. 

This is the #27 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 23
* mozilla-inbound: 12
* mozilla-central: 5
* graphics: 3
* try: 1
* oak: 1

Platform breakdown:
* linux64: 45

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-20&endday=2017-03-26&tree=all
21 failures in 141 pushes (0.149 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 14
* mozilla-inbound: 5
* graphics: 2

Platform breakdown:
* linux64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-27&endday=2017-03-27&tree=all
37 failures in 165 pushes (0.224 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 23
* mozilla-inbound: 13
* try: 1

Platform breakdown:
* linux64: 37

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-28&endday=2017-03-28&tree=all
This test is covering an area we'll probably be removing in the future, so I don't think investigating this is worth it right now.  Could we just disable this test for linux64-asan perhaps?
Flags: needinfo?(jryans)
15 failures in 123 pushes (0.122 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 8
* try: 3
* mozilla-inbound: 3
* graphics: 1

Platform breakdown:
* linux64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-30&endday=2017-03-30&tree=all
115 failures in 845 pushes (0.136 failures/push) were associated with this bug in the last 7 days. 

This is the #10 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 63
* mozilla-inbound: 28
* try: 9
* graphics: 8
* mozilla-central: 7

Platform breakdown:
* linux64: 115

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-03-27&endday=2017-04-02&tree=all
(In reply to J. Ryan Stinnett [:jryans] (use ni?) from comment #32)
> This test is covering an area we'll probably be removing in the future, so I
> don't think investigating this is worth it right now.  Could we just disable
> this test for linux64-asan perhaps?

Agree with disabling the test
(Assignee)

Comment 36

a year ago
Created attachment 8854554 [details] [diff] [review]
disable test on asan

this patch should do the trick
Attachment #8854554 - Flags: review?(jryans)
Comment on attachment 8854554 [details] [diff] [review]
disable test on asan

Review of attachment 8854554 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks, looks good to me! :)
Attachment #8854554 - Flags: review?(jryans) → review+

Comment 38

a year ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d339e21df154
Intermittent devtools/client/projecteditor/test/browser_projecteditor_contextmenu_01.js. disable on asan. r=jryans
Component: Developer Tools → Developer Tools: WebIDE

Comment 39

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/d339e21df154
Status: REOPENED → RESOLVED
Last Resolved: 3 years agoa year ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55
Assignee: nobody → jmaher
status-firefox52: --- → wontfix
status-firefox53: --- → affected
status-firefox54: --- → affected
status-firefox-esr52: --- → affected

Comment 40

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/be0e99166797
status-firefox54: affected → fixed
Flags: in-testsuite-
Whiteboard: [stockwell needswork] → [stockwell fixed]

Comment 41

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/5e3049a8200d
status-firefox53: affected → fixed

Comment 42

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr52/rev/6913f0537208
status-firefox-esr52: affected → fixed
26 failures in 867 pushes (0.03 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 11
* mozilla-inbound: 4
* mozilla-central: 4
* try: 3
* mozilla-aurora: 2
* oak: 1
* graphics: 1

Platform breakdown:
* linux64: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2017-04-03&endday=2017-04-09&tree=all

Comment 44

5 months ago
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1083140&startday=2018-01-08&endday=2018-01-14&tree=all

Updated

9 days ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.